Job Agents - Create Or Update
Hiermee maakt of werkt u een taakagent bij.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}?api-version=2025-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
job
|
path | True |
string |
De naam van de taakagent die moet worden opgehaald. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
server
|
path | True |
string |
De naam van de server. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| location | True |
string |
De geografische locatie waar de resource zich bevindt |
| properties.databaseId | True |
string (arm-id) |
Resource-id van de database waarin metagegevens van de taak moeten worden opgeslagen. |
| identity |
De identiteit van de taakagent. |
||
| sku |
De naam en laag van de SKU. |
||
| tags |
object |
Resourcetags. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De updateoperatie van de resource 'JobAgent' is geslaagd |
|
| 201 Created |
De aanmaakoperatie van de bron 'JobAgent' is geslaagd Kopteksten
|
|
| 202 Accepted |
Resourcebewerking geaccepteerd. Kopteksten
|
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
| Create or update a job agent |
| Create or update a job agent with identity |
| Create or update a job agent with sku. |
Create or update a job agent
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01
{
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Voorbeeldrespons
{
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
},
"sku": {
"name": "JA100",
"capacity": 100
}
}
{
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
},
"sku": {
"name": "JA100",
"capacity": 100
}
}
Create or update a job agent with identity
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {}
}
},
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Voorbeeldrespons
{
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {
"clientId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7",
"principalId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7"
}
}
},
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
{
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {
"clientId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7",
"principalId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7"
}
}
},
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
}
}
Create or update a job agent with sku.
Voorbeeldaanvraag
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01
{
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
},
"sku": {
"name": "JA400"
}
}
Voorbeeldrespons
{
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
},
"sku": {
"name": "JA400",
"capacity": 400
}
}
{
"name": "agent1",
"type": "Microsoft.Sql/servers/jobAgents",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
"location": "southeastasia",
"properties": {
"databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
},
"sku": {
"name": "JA400",
"capacity": 400
}
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Job |
An Azure SQL job agent. |
|
Job |
Azure Active Directory identiteitsconfiguratie voor een resource. |
|
Job |
Het identiteitstype van de taakagent |
|
Job |
De status van de taakagent. |
|
Job |
Azure Active Directory identiteitsconfiguratie voor een resource. |
| Sku |
Een ARM-resource-SKU. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
JobAgent
An Azure SQL job agent.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| identity |
De identiteit van de taakagent. |
|
| location |
string |
De geografische locatie waar de resource zich bevindt |
| name |
string |
De naam van de resource |
| properties.databaseId |
string (arm-id) |
Resource-id van de database waarin metagegevens van de taak moeten worden opgeslagen. |
| properties.state |
De status van de taakagent. |
|
| sku |
De naam en laag van de SKU. |
|
| systemData |
Azure Resource Manager metadata met creationBy en modifiedBy informatie. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts" |
JobAgentIdentity
Azure Active Directory identiteitsconfiguratie voor een resource.
| Name | Type | Description |
|---|---|---|
| tenantId |
string (uuid) |
De tenant-id van de taakagent-id |
| type |
Het identiteitstype van de taakagent |
|
| userAssignedIdentities |
<string,
Job |
De resource-id's van de door de gebruiker toegewezen identiteiten die moeten worden gebruikt |
JobAgentIdentityType
Het identiteitstype van de taakagent
| Waarde | Description |
|---|---|
| None |
Geen |
| SystemAssigned |
SysteemToegewezen |
| UserAssigned |
UserAssigned |
| SystemAssignedUserAssigned |
SystemAssignedUserAssigned |
JobAgentState
De status van de taakagent.
| Waarde | Description |
|---|---|
| Creating |
Creëren |
| Ready |
Klaar |
| Updating |
Bijwerken |
| Deleting |
Verwijderen |
| Disabled |
Disabled |
JobAgentUserAssignedIdentity
Azure Active Directory identiteitsconfiguratie voor een resource.
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
De Azure Active Directory client id. |
| principalId |
string (uuid) |
De principal id van Azure Active Directory. |
Sku
Een ARM-resource-SKU.
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
Capaciteit van de specifieke SKU. |
| family |
string |
Als de service verschillende generaties hardware heeft, voor dezelfde SKU, kan die hier worden vastgelegd. |
| name |
string |
De naam van de SKU, meestal een letter + cijfercode, bijvoorbeeld P3. |
| size |
string |
Grootte van de specifieke SKU |
| tier |
string |
De laag of editie van de specifieke SKU, bijvoorbeeld Basic, Premium. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
Het tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |